JBoss API: Class EJBClassLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EJBClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--java.security.SecureClassLoader
                  |
                  +--java.net.URLClassLoader
                        |
                        +--org.jboss.ejb.EJBClassLoader

public class EJBClassLoader
extends java.net.URLClassLoader

URLClassLoader that sets the specified permissions for the loaded classes

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Constructor Summary
`EJBClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent, boolean secure)`

Method Summary
`protected java.security.PermissionCollection` | `getPermissions(java.security.CodeSource source)`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBClassLoader

    public EJBClassLoader(java.net.URL[] urls,
                          java.lang.ClassLoader parent,
                          boolean secure)

Method Detail

### getPermissions

    protected java.security.PermissionCollection getPermissions(java.security.CodeSource source)

  Overrides:
    `getPermissions` in class `java.net.URLClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.